View Issue Details

IDProjectCategoryView StatusLast Update
0007489Talerwallet (Android App)public2022-11-21 22:01
ReporterChristian Grothoff Assigned Togrote  
PriorityhighSeveritycrashReproducibilityalways
Status assignedResolutionopen 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.9.1 
Summary0007489: wallet crashes when trying to list exchanges
DescriptionThis does NOT happen with a fresh wallet, but only if I use a wallet that has dozens of transactions inside (in 2 currencies).
It tends to be that such a wallet(-core) is substantially slower, so I suspect maybe a slow response has something to do with the crash (but didn't look at the logs/trace).

Basically, all I had to do was go to settings, click on 'exchanges' and kaboom. Always. But, after resetting the DB, its is completely happy. So it must have something to do with the wallet-DB, and best I can think of is that the large-ish DB makes the wallet-core slower (more than you'd expect due to the not-yet-improved DB layer).
TagsNo tags attached.

Activities

Christian Grothoff

2022-11-21 22:01

manager  

taler-wallet-log-1669060601431.txt (148,573 bytes)   
--------- beginning of crash
11-14 23:37:44.325 15832 27827 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 27827 (Thread-3), pid 15832 (tBackendService)
11-14 23:37:45.202 27835 27835 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-14 23:37:45.202 27835 27835 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-14 23:37:45.202 27835 27835 F DEBUG   : Revision: 'MP1.0'
11-14 23:37:45.202 27835 27835 F DEBUG   : ABI: 'arm64'
11-14 23:37:45.202 27835 27835 F DEBUG   : Timestamp: 2022-11-14 23:37:44.475413481+0100
11-14 23:37:45.202 27835 27835 F DEBUG   : Process uptime: 44959s
11-14 23:37:45.202 27835 27835 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-14 23:37:45.202 27835 27835 F DEBUG   : pid: 15832, tid: 27827, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-14 23:37:45.202 27835 27835 F DEBUG   : uid: 10338
11-14 23:37:45.202 27835 27835 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-14 23:37:45.202 27835 27835 F DEBUG   :     x0  0000000000000000  x1  0000000000006cb3  x2  0000000000000006  x3  000000746d23b390
11-14 23:37:45.202 27835 27835 F DEBUG   :     x4  000000746d23b178  x5  000000746d23b178  x6  000000746d23b178  x7  0000000000000030
11-14 23:37:45.202 27835 27835 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-14 23:37:45.202 27835 27835 F DEBUG   :     x12 000000000000b908  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-14 23:37:45.202 27835 27835 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 000000746c67c000  x19 0000000000003dd8
11-14 23:37:45.202 27835 27835 F DEBUG   :     x20 0000000000006cb3  x21 00000000ffffffff  x22 b40000770e2e62f9  x23 0000007495f96078
11-14 23:37:45.202 27835 27835 F DEBUG   :     x24 000000750b600880  x25 000000746d23b6b0  x26 000000746d23c000  x27 000000746d23b6b0
11-14 23:37:45.202 27835 27835 F DEBUG   :     x28 000000746d23b5b0  x29 000000746d23b410
11-14 23:37:45.202 27835 27835 F DEBUG   :     lr  00000077b8864868  sp  000000746d23b370  pc  00000077b8864894  pst 0000000000000000
11-14 23:37:45.202 27835 27835 F DEBUG   : backtrace:
11-14 23:37:45.202 27835 27835 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-14 23:37:45.202 27835 27835 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
--------- beginning of main
11-21 20:46:48.417  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:48.414Z exchanges.ts INFO updating exchange info for https://bitcoin.ice.bfh.ch/, forced: false
11-21 20:46:48.549  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:48.549Z exchanges.ts INFO updating exchange /keys info
11-21 20:46:48.880  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:48.879Z exchanges.ts INFO updating exchange /wire info
11-21 20:46:48.931  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:48.931Z operations/common.ts WARN operation processed resulted in error
11-21 20:46:48.932  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:48.932Z operations/common.ts WARN error was: {
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 500 in response",
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:   "requestUrl": "https://bitcoin.ice.bfh.ch/wire",
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:   "httpStatusCode": 500,
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:     "code": 1653,
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:     "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:     "detail": "bitcoin"
11-21 20:46:48.932  3987  4005 D akono-jni.cpp:   }
11-21 20:46:48.932  3987  4005 D akono-jni.cpp: }
11-21 20:46:49.098  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:49.098Z refresh.ts INFO doing auto-refresh check for 'https://exchange.chf.taler.net/'
11-21 20:46:49.100  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:49.099Z exchanges.ts INFO updating exchange info for https://exchange.chf.taler.net/, forced: true
11-21 20:46:49.102  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:46:49.102  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:46:49.102  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:46:49.102  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:46:49.102  3987  4004 V taler-wallet-backend:     "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:46:49.102  3987  4004 V taler-wallet-backend:   }
11-21 20:46:49.102  3987  4004 V taler-wallet-backend: }
11-21 20:46:49.233  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:49.233Z exchanges.ts INFO updating exchange /keys info
11-21 20:46:49.729  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:49.728Z exchanges.ts INFO updating exchange /wire info
11-21 20:46:49.773  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:49.773Z exchanges.ts INFO validating exchange /wire info
11-21 20:46:49.907  3987  4005 D akono-jni.cpp: handling request for module /vmod/@gnu-taler/taler-wallet-embedded
11-21 20:46:49.907  3987  4005 D akono-jni.cpp: module not found in modmap /vmod/@gnu-taler/taler-wallet-embedded
11-21 20:46:49.912  3987  4005 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-21 20:46:49.912  3987  4005 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-21 20:46:49.912  3987  4005 D akono-jni.cpp: could not load from /vmod/@gnu-taler/taler-wallet-embedded
11-21 20:46:50.621  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:50.621Z exchanges.ts INFO finished validating exchange /wire info
11-21 20:46:50.621  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:50.621Z exchanges.ts INFO downloading exchange tos (type text/plain)
11-21 20:46:50.727  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:50.727Z exchanges.ts INFO updating denominations in database
11-21 20:46:52.737  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:52.737Z refresh.ts INFO current wallet time: 2022-11-21T19:46:52.736Z
11-21 20:46:52.738  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:52.738Z refresh.ts INFO next refresh check at 2022-11-22T19:46:52.423Z
11-21 20:46:53.019  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.019Z refresh.ts INFO doing auto-refresh check for 'https://exchange.demo.taler.net/'
11-21 20:46:53.020  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.020Z exchanges.ts INFO updating exchange info for https://exchange.demo.taler.net/, forced: true
11-21 20:46:53.022  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:46:53.022  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:46:53.022  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:46:53.022  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:46:53.022  3987  4004 V taler-wallet-backend:     "id": "exchange-update:https:\/\/exchange.chf.taler.net\/"
11-21 20:46:53.022  3987  4004 V taler-wallet-backend:   }
11-21 20:46:53.022  3987  4004 V taler-wallet-backend: }
11-21 20:46:53.153  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.153Z exchanges.ts INFO updating exchange /keys info
11-21 20:46:53.228  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.227Z exchanges.ts INFO updating exchange /wire info
11-21 20:46:53.267  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.267Z exchanges.ts INFO validating exchange /wire info
11-21 20:46:53.560  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.556Z exchanges.ts INFO finished validating exchange /wire info
11-21 20:46:53.560  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.556Z exchanges.ts INFO downloading exchange tos (type text/plain)
11-21 20:46:53.700  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:53.699Z exchanges.ts INFO updating denominations in database
11-21 20:46:54.240  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:54.239Z refresh.ts INFO current wallet time: 2022-11-21T19:46:54.239Z
11-21 20:46:54.240  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:54.240Z refresh.ts INFO next refresh check at 2022-11-22T19:46:53.997Z
11-21 20:46:54.479  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:46:54.479  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:46:54.479  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:46:54.479  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:46:54.479  3987  4004 V taler-wallet-backend:     "id": "exchange-update:https:\/\/exchange.demo.taler.net\/"
11-21 20:46:54.479  3987  4004 V taler-wallet-backend:   }
11-21 20:46:54.479  3987  4004 V taler-wallet-backend: }
11-21 20:46:54.545  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:54.545Z operations/common.ts WARN operation processed resulted in error
11-21 20:46:54.546  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:54.545Z operations/common.ts WARN error was: {
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 404 in response",
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/priscilla/orders/2022.318-000E1MSF07REJ/claim",
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:   "httpStatusCode": 404,
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:     "code": 2300,
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:     "hint": "We could not claim the order because the backend is unaware of it.",
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:     "detail": "2022.318-000E1MSF07REJ"
11-21 20:46:54.546  3987  4005 D akono-jni.cpp:   }
11-21 20:46:54.546  3987  4005 D akono-jni.cpp: }
11-21 20:46:54.672  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:46:54.672  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:46:54.672  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:46:54.672  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:46:54.672  3987  4004 V taler-wallet-backend:     "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:46:54.672  3987  4004 V taler-wallet-backend:   }
11-21 20:46:54.672  3987  4004 V taler-wallet-backend: }
11-21 20:46:54.827  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:54.827Z operations/common.ts WARN operation processed resulted in error
11-21 20:46:54.827  3987  4005 D akono-jni.cpp: 2022-11-21T19:46:54.827Z operations/common.ts WARN error was: {
11-21 20:46:54.827  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:46:54.827  3987  4005 D akono-jni.cpp:   "hint": "/paid failed",
11-21 20:46:54.827  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/blog/orders/2022.311-01M4XSZC6JKQ6/paid",
11-21 20:46:54.827  3987  4005 D akono-jni.cpp:   "httpStatusCode": 403
11-21 20:46:54.827  3987  4005 D akono-jni.cpp: }
11-21 20:46:54.965  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:46:54.965  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:46:54.965  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:46:54.965  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:46:54.965  3987  4004 V taler-wallet-backend:     "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:46:54.965  3987  4004 V taler-wallet-backend:   }
11-21 20:46:54.965  3987  4004 V taler-wallet-backend: }
11-21 20:48:49.373  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:49.371Z exchanges.ts INFO updating exchange info for https://bitcoin.ice.bfh.ch/, forced: false
11-21 20:48:49.514  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:49.513Z exchanges.ts INFO updating exchange /keys info
11-21 20:48:49.819  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:49.819Z exchanges.ts INFO updating exchange /wire info
11-21 20:48:49.882  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:49.881Z operations/common.ts WARN operation processed resulted in error
11-21 20:48:49.883  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:49.882Z operations/common.ts WARN error was: {
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 500 in response",
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:   "requestUrl": "https://bitcoin.ice.bfh.ch/wire",
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:   "httpStatusCode": 500,
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:     "code": 1653,
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:     "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:     "detail": "bitcoin"
11-21 20:48:49.883  3987  4005 D akono-jni.cpp:   }
11-21 20:48:49.883  3987  4005 D akono-jni.cpp: }
11-21 20:48:50.043  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:48:50.043  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:48:50.043  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:48:50.043  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:48:50.043  3987  4004 V taler-wallet-backend:     "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:48:50.043  3987  4004 V taler-wallet-backend:   }
11-21 20:48:50.043  3987  4004 V taler-wallet-backend: }
11-21 20:48:55.644  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:55.643Z operations/common.ts WARN operation processed resulted in error
11-21 20:48:55.644  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:55.644Z operations/common.ts WARN error was: {
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 404 in response",
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/priscilla/orders/2022.318-000E1MSF07REJ/claim",
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:   "httpStatusCode": 404,
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:     "code": 2300,
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:     "hint": "We could not claim the order because the backend is unaware of it.",
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:     "detail": "2022.318-000E1MSF07REJ"
11-21 20:48:55.644  3987  4005 D akono-jni.cpp:   }
11-21 20:48:55.644  3987  4005 D akono-jni.cpp: }
11-21 20:48:55.785  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:48:55.785  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:48:55.785  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:48:55.785  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:48:55.785  3987  4004 V taler-wallet-backend:     "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:48:55.785  3987  4004 V taler-wallet-backend:   }
11-21 20:48:55.785  3987  4004 V taler-wallet-backend: }
11-21 20:48:55.871  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:55.871Z operations/common.ts WARN operation processed resulted in error
11-21 20:48:55.872  3987  4005 D akono-jni.cpp: 2022-11-21T19:48:55.872Z operations/common.ts WARN error was: {
11-21 20:48:55.872  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:48:55.872  3987  4005 D akono-jni.cpp:   "hint": "/paid failed",
11-21 20:48:55.872  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/blog/orders/2022.311-01M4XSZC6JKQ6/paid",
11-21 20:48:55.872  3987  4005 D akono-jni.cpp:   "httpStatusCode": 403
11-21 20:48:55.872  3987  4005 D akono-jni.cpp: }
11-21 20:48:56.013  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:48:56.013  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:48:56.013  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:48:56.013  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:48:56.013  3987  4004 V taler-wallet-backend:     "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:48:56.013  3987  4004 V taler-wallet-backend:   }
11-21 20:48:56.013  3987  4004 V taler-wallet-backend: }
11-21 20:50:50.815  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:50.812Z exchanges.ts INFO updating exchange info for https://bitcoin.ice.bfh.ch/, forced: false
11-21 20:50:50.969  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:50.968Z exchanges.ts INFO updating exchange /keys info
11-21 20:50:51.219  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:51.219Z exchanges.ts INFO updating exchange /wire info
11-21 20:50:51.272  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:51.272Z operations/common.ts WARN operation processed resulted in error
11-21 20:50:51.273  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:51.273Z operations/common.ts WARN error was: {
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 500 in response",
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:   "requestUrl": "https://bitcoin.ice.bfh.ch/wire",
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:   "httpStatusCode": 500,
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:     "code": 1653,
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:     "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:     "detail": "bitcoin"
11-21 20:50:51.273  3987  4005 D akono-jni.cpp:   }
11-21 20:50:51.273  3987  4005 D akono-jni.cpp: }
11-21 20:50:51.437  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:50:51.437  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:50:51.437  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:50:51.437  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:50:51.437  3987  4004 V taler-wallet-backend:     "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:50:51.437  3987  4004 V taler-wallet-backend:   }
11-21 20:50:51.437  3987  4004 V taler-wallet-backend: }
11-21 20:50:57.052  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:57.052Z operations/common.ts WARN operation processed resulted in error
11-21 20:50:57.053  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:57.053Z operations/common.ts WARN error was: {
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 404 in response",
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/priscilla/orders/2022.318-000E1MSF07REJ/claim",
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:   "httpStatusCode": 404,
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:     "code": 2300,
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:     "hint": "We could not claim the order because the backend is unaware of it.",
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:     "detail": "2022.318-000E1MSF07REJ"
11-21 20:50:57.053  3987  4005 D akono-jni.cpp:   }
11-21 20:50:57.053  3987  4005 D akono-jni.cpp: }
11-21 20:50:57.225  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:50:57.225  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:50:57.225  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:50:57.225  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:50:57.225  3987  4004 V taler-wallet-backend:     "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:50:57.225  3987  4004 V taler-wallet-backend:   }
11-21 20:50:57.225  3987  4004 V taler-wallet-backend: }
11-21 20:50:57.297  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:57.297Z operations/common.ts WARN operation processed resulted in error
11-21 20:50:57.298  3987  4005 D akono-jni.cpp: 2022-11-21T19:50:57.297Z operations/common.ts WARN error was: {
11-21 20:50:57.298  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:50:57.298  3987  4005 D akono-jni.cpp:   "hint": "/paid failed",
11-21 20:50:57.298  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/blog/orders/2022.311-01M4XSZC6JKQ6/paid",
11-21 20:50:57.298  3987  4005 D akono-jni.cpp:   "httpStatusCode": 403
11-21 20:50:57.298  3987  4005 D akono-jni.cpp: }
11-21 20:50:57.466  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:50:57.466  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:50:57.466  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:50:57.466  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:50:57.466  3987  4004 V taler-wallet-backend:     "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:50:57.466  3987  4004 V taler-wallet-backend:   }
11-21 20:50:57.466  3987  4004 V taler-wallet-backend: }
11-21 20:52:52.149  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:52.147Z exchanges.ts INFO updating exchange info for https://bitcoin.ice.bfh.ch/, forced: false
11-21 20:52:52.290  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:52.289Z exchanges.ts INFO updating exchange /keys info
11-21 20:52:52.606  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:52.606Z exchanges.ts INFO updating exchange /wire info
11-21 20:52:52.701  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:52.700Z operations/common.ts WARN operation processed resulted in error
11-21 20:52:52.701  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:52.701Z operations/common.ts WARN error was: {
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 500 in response",
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:   "requestUrl": "https://bitcoin.ice.bfh.ch/wire",
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:   "httpStatusCode": 500,
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:     "code": 1653,
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:     "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:     "detail": "bitcoin"
11-21 20:52:52.701  3987  4005 D akono-jni.cpp:   }
11-21 20:52:52.701  3987  4005 D akono-jni.cpp: }
11-21 20:52:52.840  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:52:52.840  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:52:52.840  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:52:52.840  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:52:52.840  3987  4004 V taler-wallet-backend:     "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:52:52.840  3987  4004 V taler-wallet-backend:   }
11-21 20:52:52.840  3987  4004 V taler-wallet-backend: }
11-21 20:52:58.316  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:58.316Z operations/common.ts WARN operation processed resulted in error
11-21 20:52:58.317  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:58.317Z operations/common.ts WARN error was: {
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:   "hint": "Unexpected HTTP status 404 in response",
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/priscilla/orders/2022.318-000E1MSF07REJ/claim",
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:   "httpStatusCode": 404,
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:   "errorResponse": {
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:     "code": 2300,
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:     "hint": "We could not claim the order because the backend is unaware of it.",
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:     "detail": "2022.318-000E1MSF07REJ"
11-21 20:52:58.317  3987  4005 D akono-jni.cpp:   }
11-21 20:52:58.317  3987  4005 D akono-jni.cpp: }
11-21 20:52:58.461  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:52:58.461  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:52:58.461  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:52:58.461  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:52:58.461  3987  4004 V taler-wallet-backend:     "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:52:58.461  3987  4004 V taler-wallet-backend:   }
11-21 20:52:58.461  3987  4004 V taler-wallet-backend: }
11-21 20:52:58.544  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:58.544Z operations/common.ts WARN operation processed resulted in error
11-21 20:52:58.545  3987  4005 D akono-jni.cpp: 2022-11-21T19:52:58.545Z operations/common.ts WARN error was: {
11-21 20:52:58.545  3987  4005 D akono-jni.cpp:   "code": 7005,
11-21 20:52:58.545  3987  4005 D akono-jni.cpp:   "hint": "/paid failed",
11-21 20:52:58.545  3987  4005 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/blog/orders/2022.311-01M4XSZC6JKQ6/paid",
11-21 20:52:58.545  3987  4005 D akono-jni.cpp:   "httpStatusCode": 403
11-21 20:52:58.545  3987  4005 D akono-jni.cpp: }
11-21 20:52:58.684  3987  4004 V taler-wallet-backend: got back notification: {
11-21 20:52:58.684  3987  4004 V taler-wallet-backend:   "type": "notification",
11-21 20:52:58.684  3987  4004 V taler-wallet-backend:   "payload": {
11-21 20:52:58.684  3987  4004 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:52:58.684  3987  4004 V taler-wallet-backend:     "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:52:58.684  3987  4004 V taler-wallet-backend:   }
11-21 20:52:58.684  3987  4004 V taler-wallet-backend: }
11-21 20:54:04.162  4305  4305 E tBackendService: Not starting debugger since process cannot load the jdwp agent.
11-21 20:54:04.171  4305  4305 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:54:04.197  4305  4305 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:54:04.197  4305  4305 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:54:04.198  4305  4305 W tBackendService: Entry not found
11-21 20:54:04.198  4305  4305 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:54:04.199  4305  4305 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:54:04.199  4305  4305 W tBackendService: Entry not found
11-21 20:54:04.199  4305  4305 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:54:04.199  4305  4305 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:54:04.199  4305  4305 W tBackendService: Entry not found
11-21 20:54:04.202  4305  4305 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:54:04.205  4305  4305 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:54:04.205  4305  4305 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:54:04.205  4305  4305 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:54:04.218  4305  4305 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:54:04.218  4305  4305 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:54:04.219  4305  4305 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:54:04.221  4305  4305 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:54:04.221  4305  4305 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:54:04.258  4305  4305 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:54:04.310  4305  4305 V AkonoJni: putting module code (kotlin)
11-21 20:54:04.307  4305  4305 W Thread-2: type=1400 audit(0.0:7366): avc: denied { ioctl } for path="/sys/kernel/tracing/trace_marker" dev="tracefs" ino=5541 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:debugfs_trace_marker:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:54:04.307  4305  4305 W Thread-2: type=1400 audit(0.0:7367): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-oj.jar" dev="dm-18" ino=40 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:54:04.307  4305  4305 W Thread-2: type=1400 audit(0.0:7368): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-libart.jar" dev="dm-18" ino=39 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:54:04.307  4305  4305 W Thread-2: type=1400 audit(0.0:7369): avc: denied { ioctl } for path="/apex/com.android.art/javalib/okhttp.jar" dev="dm-18" ino=41 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:54:04.307  4305  4305 W Thread-2: type=1400 audit(0.0:7370): avc: denied { ioctl } for path="/apex/com.android.art/javalib/bouncycastle.jar" dev="dm-18" ino=38 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:54:04.310  4305  4305 D akono-jni.cpp: in putModuleCodeNative
11-21 20:54:04.331  4305  4305 D akono-jni.cpp: registered module
11-21 20:54:04.492  4305  4324 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-21 20:54:04.492  4305  4324 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-21 20:54:04.943  4305  4324 D akono-jni.cpp: native wallet listener installed
11-21 20:54:04.965  4305  4324 D akono-jni.cpp: native listener: got request for init (undefined)
11-21 20:54:04.967  4305  4324 D akono-jni.cpp: in reinit
11-21 20:54:05.332  4305  4324 D akono-jni.cpp: (node:4305) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:54:05.332  4305  4324 D akono-jni.cpp: (node:4305) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:54:05.672  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:05.672Z headless/helpers.ts INFO using node thread crypto worker
11-21 20:54:05.871  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:05.871Z wallet.ts INFO running task loop opts={}
11-21 20:54:05.876  4305  4324 D akono-jni.cpp: native listener: sending success response for init (undefined)
11-21 20:54:05.878  4305  4323 D taler-wallet-backend: got response for init operation: {
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:   "type": "response",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:   "operation": "init",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:   "result": {
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:     "versionInfo": {
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:       "hash": "66460e5650e19c12e105a8fe7560b9744c898b5d",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:       "version": "0.9.0",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:       "exchange": "12:0:0",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:       "merchant": "2:0:1",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:       "bank": "0:0:0",
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:       "devMode": false
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:     }
11-21 20:54:05.878  4305  4323 D taler-wallet-backend:   }
11-21 20:54:05.878  4305  4323 D taler-wallet-backend: }
11-21 20:54:53.013  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:53.012Z exchanges.ts INFO updating exchange info for https://bitcoin.ice.bfh.ch/, forced: false
11-21 20:54:53.151  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:53.150Z exchanges.ts INFO updating exchange /keys info
11-21 20:54:53.615  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:53.615Z exchanges.ts INFO updating exchange /wire info
11-21 20:54:53.693  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:53.692Z operations/common.ts WARN operation processed resulted in error
11-21 20:54:53.694  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:53.693Z operations/common.ts WARN error was: {
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:   "code": 7005,
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:   "hint": "Unexpected HTTP status 500 in response",
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:   "requestUrl": "https://bitcoin.ice.bfh.ch/wire",
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:   "httpStatusCode": 500,
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:   "errorResponse": {
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:     "code": 1653,
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:     "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:     "detail": "bitcoin"
11-21 20:54:53.694  4305  4324 D akono-jni.cpp:   }
11-21 20:54:53.694  4305  4324 D akono-jni.cpp: }
11-21 20:54:53.853  4305  4323 V taler-wallet-backend: got back notification: {
11-21 20:54:53.853  4305  4323 V taler-wallet-backend:   "type": "notification",
11-21 20:54:53.853  4305  4323 V taler-wallet-backend:   "payload": {
11-21 20:54:53.853  4305  4323 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:54:53.853  4305  4323 V taler-wallet-backend:     "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:54:53.853  4305  4323 V taler-wallet-backend:   }
11-21 20:54:53.853  4305  4323 V taler-wallet-backend: }
11-21 20:54:59.326  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:59.325Z operations/common.ts WARN operation processed resulted in error
11-21 20:54:59.326  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:59.326Z operations/common.ts WARN error was: {
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:   "code": 7005,
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:   "hint": "Unexpected HTTP status 404 in response",
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/priscilla/orders/2022.318-000E1MSF07REJ/claim",
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:   "httpStatusCode": 404,
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:   "errorResponse": {
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:     "code": 2300,
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:     "hint": "We could not claim the order because the backend is unaware of it.",
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:     "detail": "2022.318-000E1MSF07REJ"
11-21 20:54:59.326  4305  4324 D akono-jni.cpp:   }
11-21 20:54:59.326  4305  4324 D akono-jni.cpp: }
11-21 20:54:59.475  4305  4323 V taler-wallet-backend: got back notification: {
11-21 20:54:59.475  4305  4323 V taler-wallet-backend:   "type": "notification",
11-21 20:54:59.475  4305  4323 V taler-wallet-backend:   "payload": {
11-21 20:54:59.475  4305  4323 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:54:59.475  4305  4323 V taler-wallet-backend:     "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:54:59.475  4305  4323 V taler-wallet-backend:   }
11-21 20:54:59.475  4305  4323 V taler-wallet-backend: }
11-21 20:54:59.575  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:59.574Z operations/common.ts WARN operation processed resulted in error
11-21 20:54:59.575  4305  4324 D akono-jni.cpp: 2022-11-21T19:54:59.575Z operations/common.ts WARN error was: {
11-21 20:54:59.575  4305  4324 D akono-jni.cpp:   "code": 7005,
11-21 20:54:59.575  4305  4324 D akono-jni.cpp:   "hint": "/paid failed",
11-21 20:54:59.575  4305  4324 D akono-jni.cpp:   "requestUrl": "https://backend.demo.taler.net/instances/blog/orders/2022.311-01M4XSZC6JKQ6/paid",
11-21 20:54:59.575  4305  4324 D akono-jni.cpp:   "httpStatusCode": 403
11-21 20:54:59.575  4305  4324 D akono-jni.cpp: }
11-21 20:54:59.721  4305  4323 V taler-wallet-backend: got back notification: {
11-21 20:54:59.721  4305  4323 V taler-wallet-backend:   "type": "notification",
11-21 20:54:59.721  4305  4323 V taler-wallet-backend:   "payload": {
11-21 20:54:59.721  4305  4323 V taler-wallet-backend:     "type": "pending-operation-processed",
11-21 20:54:59.721  4305  4323 V taler-wallet-backend:     "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:54:59.721  4305  4323 V taler-wallet-backend:   }
11-21 20:54:59.721  4305  4323 V taler-wallet-backend: }
11-21 20:55:34.859 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.859 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.859 28835 28835 I taler-wallet:   "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:55:34.859 28835 28835 I taler-wallet: }
11-21 20:55:34.862 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.862 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.862 28835 28835 I taler-wallet:   "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:55:34.862 28835 28835 I taler-wallet: }
11-21 20:55:34.865 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.865 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.865 28835 28835 I taler-wallet:   "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:55:34.865 28835 28835 I taler-wallet: }
11-21 20:55:34.865 28835 28859 I WalletBackendApi: sending request for operation getBalances (414)
11-21 20:55:34.866 28835 28858 I WalletBackendApi: sending request for operation getBalances (415)
11-21 20:55:34.866 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.866 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.866 28835 28835 I taler-wallet:   "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:55:34.866 28835 28835 I taler-wallet: }
11-21 20:55:34.867 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.867 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.867 28835 28835 I taler-wallet:   "id": "purchase:E1C0535JSW2EQPXC3T27APVYQ7WQFHSVG3CGZGTYT03AA3Y5FYSG"
11-21 20:55:34.867 28835 28835 I taler-wallet: }
11-21 20:55:34.868 28835  4375 I WalletBackendApi: sending request for operation getBalances (416)
11-21 20:55:34.868 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.868 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.868 28835 28835 I taler-wallet:   "id": "purchase:F9S029A78HDR1BVFPHRETCCZFY88SQG204D631PBG5QNKWE0MHGG"
11-21 20:55:34.868 28835 28835 I taler-wallet: }
11-21 20:55:34.868 28835  4373 I WalletBackendApi: sending request for operation getBalances (417)
11-21 20:55:34.869 28835 28835 I taler-wallet: Received notification from wallet-core: {
11-21 20:55:34.869 28835 28835 I taler-wallet:   "type": "pending-operation-processed",
11-21 20:55:34.869 28835 28835 I taler-wallet:   "id": "exchange-update:https:\/\/bitcoin.ice.bfh.ch\/"
11-21 20:55:34.869 28835 28835 I taler-wallet: }
11-21 20:55:34.870 28835  4375 I WalletBackendApi: sending request for operation getBalances (418)
11-21 20:55:34.870 28835 28859 I WalletBackendApi: sending request for operation getBalances (419)
11-21 20:55:34.870 28835 28858 I WalletBackendApi: sending request for operation getBalances (420)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:55:34.871 28835 28835 E AndroidRuntime: Process: net.taler.wallet, PID: 28835
11-21 20:55:34.871 28835 28835 E AndroidRuntime: android.os.DeadObjectException
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.BinderProxy.transactNative(Native Method)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.BinderProxy.transact(BinderProxy.java:584)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.IMessenger$Stub$Proxy.send(IMessenger.java:118)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at android.os.Messenger.send(Messenger.java:59)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at net.taler.wallet.backend.WalletBackendApi.sendRequest(WalletBackendApi.kt:98)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at net.taler.wallet.MainViewModel$loadBalances$1$invokeSuspend$$inlined$request$default$1.invokeSuspend(WalletBackendApi.kt:89)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	at kotlinx.coroutines.scheduling.CoroutineScheduler$Worker.run(CoroutineScheduler.kt:82)
11-21 20:55:34.871 28835 28835 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@d87413d, Dispatchers.Main.immediate]
11-21 20:55:34.898 28835 28835 I Process : Sending signal. PID: 28835 SIG: 9
11-21 20:55:35.943  4389  4389 E et.taler.wallet: Not starting debugger since process cannot load the jdwp agent.
11-21 20:55:35.965  4389  4389 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:55:35.974  4389  4389 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:35.974  4389  4389 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:35.974  4389  4389 W et.taler.wallet: Entry not found
11-21 20:55:35.974  4389  4389 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:35.974  4389  4389 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:35.974  4389  4389 W et.taler.wallet: Entry not found
11-21 20:55:35.974  4389  4389 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:35.974  4389  4389 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:35.974  4389  4389 W et.taler.wallet: Entry not found
11-21 20:55:35.975  4389  4389 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:55:35.977  4389  4389 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:35.977  4389  4389 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:35.977  4389  4389 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:35.981  4389  4389 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:55:35.981  4389  4389 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:55:35.981  4389  4389 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:55:35.982  4389  4389 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:35.983  4389  4389 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:35.990  4389  4389 W et.taler.wallet: Accessing hidden field Ljava/util/Collections$SynchronizedCollection;->mutex:Ljava/lang/Object; (max-target-o, reflection, denied)
11-21 20:55:35.990  4389  4389 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedSet;-><init>(Ljava/util/Set;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:55:35.990  4389  4389 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedCollection;-><init>(Ljava/util/Collection;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:55:36.009  4389  4389 D CompatibilityChangeReporter: Compat change id reported: 210923482; UID 10338; state: DISABLED
11-21 20:55:36.009  4389  4389 D CompatibilityChangeReporter: Compat change id reported: 37756858; UID 10338; state: ENABLED
11-21 20:55:36.028  4389  4410 I WalletBackendApi: sending request for operation getBalances (1)
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: QUALCOMM build                   : 85da404, I46ff5fc46f
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Build Date                       : 11/30/20
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: OpenGL ES Shader Compiler Version: EV031.31.04.01
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Local Branch                     : promo490_3_Google
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Reconstruct Branch               : 
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Build Config                     : S P 10.0.4 AArch64
11-21 20:55:36.050  4389  4406 I AdrenoGLES-0: Driver Path                      : /vendor/lib64/egl/libGLESv2_adreno.so
11-21 20:55:36.050  4305  4305 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:55:36.051  4305  4305 V AkonoJni: putting module code (kotlin)
11-21 20:55:36.051  4305  4305 D akono-jni.cpp: in putModuleCodeNative
11-21 20:55:36.057  4305  4324 D akono-jni.cpp: FATAL ERROR: HandleScope::HandleScope Entering the V8 API without proper locking in place
11-21 20:55:36.059  4305  4324 D akono-jni.cpp: Failed to open Node.js report file: 
11-21 20:55:36.059  4389  4406 I AdrenoGLES-0: PFP: 0x016ee190, ME: 0x00000000
11-21 20:55:36.060  4305  4324 D akono-jni.cpp: report.20221121.205536.4305.0.001.json
11-21 20:55:36.060  4305  4324 D akono-jni.cpp:  (errno: 30
11-21 20:55:36.060  4305  4324 D akono-jni.cpp: )
11-21 20:55:36.060  4305  4412 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4412 (Thread-3), pid 4305 (tBackendService)
11-21 20:55:36.063  4389  4406 W AdrenoUtils: <ReadGpuID_from_sysfs:197>: Failed to open /sys/class/kgsl/kgsl-3d0/gpu_model
11-21 20:55:36.063  4389  4406 W AdrenoUtils: <ReadGpuID:221>: Failed to read chip ID from gpu_model. Fallback to use the GSL path
11-21 20:55:36.077  4389  4389 W PropertyValuesHolder: Method set() with type float not found on target class class me.zhanghai.android.materialprogressbar.IndeterminateHorizontalProgressDrawable$RectTransformX
11-21 20:55:36.079  4305  4305 D akono-jni.cpp: registered module
11-21 20:55:36.097  4389  4406 W Parcel  : Expecting binder but got null!
11-21 20:55:36.166  4419  4419 I crash_dump64: obtaining output fd from tombstoned, type: kDebuggerdTombstoneProto
11-21 20:55:36.193  4419  4419 I crash_dump64: performing dump of process 4305 (target tid = 4412)
11-21 20:55:36.808  4419  4419 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:55:36.808  4419  4419 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:55:36.808  4419  4419 F DEBUG   : Revision: 'MP1.0'
11-21 20:55:36.808  4419  4419 F DEBUG   : ABI: 'arm64'
11-21 20:55:36.808  4419  4419 F DEBUG   : Timestamp: 2022-11-21 20:55:36.219711743+0100
11-21 20:55:36.808  4419  4419 F DEBUG   : Process uptime: 93s
11-21 20:55:36.808  4419  4419 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:55:36.808  4419  4419 F DEBUG   : pid: 4305, tid: 4412, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:55:36.808  4419  4419 F DEBUG   : uid: 10338
11-21 20:55:36.808  4419  4419 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:55:36.808  4419  4419 F DEBUG   :     x0  0000000000000000  x1  000000000000113c  x2  0000000000000006  x3  000000747687b690
11-21 20:55:36.808  4419  4419 F DEBUG   :     x4  000000747687b478  x5  000000747687b478  x6  000000747687b478  x7  0000000000000030
11-21 20:55:36.808  4419  4419 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:55:36.808  4419  4419 F DEBUG   :     x12 00000000000063d9  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:55:36.808  4419  4419 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 0000007470bdc000  x19 00000000000010d1
11-21 20:55:36.808  4419  4419 F DEBUG   :     x20 000000000000113c  x21 00000000ffffffff  x22 b40000770e226239  x23 0000007491acc078
11-21 20:55:36.808  4419  4419 F DEBUG   :     x24 000000009d966268  x25 0000000012cc2bd8  x26 000000747687c000  x27 0000000000000000
11-21 20:55:36.808  4419  4419 F DEBUG   :     x28 000000747687c000  x29 000000747687b710
11-21 20:55:36.808  4419  4419 F DEBUG   :     lr  00000077b8864868  sp  000000747687b670  pc  00000077b8864894  pst 0000000000000000
11-21 20:55:36.808  4419  4419 F DEBUG   : backtrace:
11-21 20:55:36.808  4419  4419 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:55:36.808  4419  4419 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:55:37.891  4428  4428 E tBackendService: Not starting debugger since process cannot load the jdwp agent.
11-21 20:55:37.900  4428  4428 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:55:37.909  4428  4428 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:37.909  4428  4428 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:37.909  4428  4428 W tBackendService: Entry not found
11-21 20:55:37.909  4428  4428 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:37.909  4428  4428 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:37.909  4428  4428 W tBackendService: Entry not found
11-21 20:55:37.909  4428  4428 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:37.909  4428  4428 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:37.909  4428  4428 W tBackendService: Entry not found
11-21 20:55:37.910  4428  4428 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:55:37.912  4428  4428 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:37.912  4428  4428 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:37.912  4428  4428 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:37.916  4428  4428 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:55:37.916  4428  4428 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:55:37.916  4428  4428 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:55:37.917  4428  4428 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:37.918  4428  4428 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:37.934  4428  4428 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:55:37.946  4428  4428 V AkonoJni: putting module code (kotlin)
11-21 20:55:37.947  4428  4428 D akono-jni.cpp: in putModuleCodeNative
11-21 20:55:37.944  4428  4428 W Thread-2: type=1400 audit(0.0:7377): avc: denied { ioctl } for path="/sys/kernel/tracing/trace_marker" dev="tracefs" ino=5541 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:debugfs_trace_marker:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:55:37.944  4428  4428 W Thread-2: type=1400 audit(0.0:7378): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-oj.jar" dev="dm-18" ino=40 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:55:37.944  4428  4428 W Thread-2: type=1400 audit(0.0:7379): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-libart.jar" dev="dm-18" ino=39 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:55:37.944  4428  4428 W Thread-2: type=1400 audit(0.0:7380): avc: denied { ioctl } for path="/apex/com.android.art/javalib/okhttp.jar" dev="dm-18" ino=41 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:55:37.944  4428  4428 W Thread-2: type=1400 audit(0.0:7381): avc: denied { ioctl } for path="/apex/com.android.art/javalib/bouncycastle.jar" dev="dm-18" ino=38 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:55:37.953  4428  4428 D akono-jni.cpp: registered module
11-21 20:55:38.117  4428  4445 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-21 20:55:38.117  4428  4445 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-21 20:55:38.125  4389  4389 I WalletBackendApi: connected to wallet backend service
11-21 20:55:38.125  4428  4428 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:55:38.125  4428  4428 I taler-wallet-backend: got request for operation getBalances
11-21 20:55:38.125  4428  4428 I taler-wallet-backend: mapping service request ID 1 to client request ID 1
11-21 20:55:38.125  4428  4428 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:55:38.125  4428  4428 I taler-wallet-backend: subscribing client
11-21 20:55:38.249  4428  4445 D akono-jni.cpp: native wallet listener installed
11-21 20:55:38.255  4428  4445 D akono-jni.cpp: native listener: got request for init (undefined)
11-21 20:55:38.256  4428  4445 D akono-jni.cpp: in reinit
11-21 20:55:38.358  4428  4445 D akono-jni.cpp: (node:4428) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:55:38.359  4428  4445 D akono-jni.cpp: (node:4428) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:55:38.359  4428  4445 D akono-jni.cpp: native listener: got request for getBalances (1)
11-21 20:55:38.460  4428  4445 D akono-jni.cpp: 2022-11-21T19:55:38.460Z headless/helpers.ts INFO using node thread crypto worker
11-21 20:55:38.527  4428  4445 D akono-jni.cpp: 2022-11-21T19:55:38.526Z wallet.ts INFO running task loop opts={}
11-21 20:55:38.529  4428  4445 D akono-jni.cpp: native listener: sending success response for init (undefined)
11-21 20:55:38.529  4428  4444 D taler-wallet-backend: got response for init operation: {
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:   "type": "response",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:   "operation": "init",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:   "result": {
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:     "versionInfo": {
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:       "hash": "66460e5650e19c12e105a8fe7560b9744c898b5d",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:       "version": "0.9.0",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:       "exchange": "12:0:0",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:       "merchant": "2:0:1",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:       "bank": "0:0:0",
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:       "devMode": false
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:     }
11-21 20:55:38.529  4428  4444 D taler-wallet-backend:   }
11-21 20:55:38.529  4428  4444 D taler-wallet-backend: }
11-21 20:55:38.717  4428  4445 D akono-jni.cpp: native listener: sending success response for getBalances (1)
11-21 20:55:38.718  4428  4444 V taler-wallet-backend: got back response: {
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:   "type": "response",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:   "operation": "getBalances",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:   "id": 1,
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:   "result": {
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:     "balances": [
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:       {
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "available": "CHF:0.185",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "pendingIncoming": "CHF:0",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "pendingOutgoing": "CHF:0",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:       },
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:       {
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "available": "KUDOS:6.2",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "pendingIncoming": "KUDOS:0",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:       }
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:     ]
11-21 20:55:38.718  4428  4444 V taler-wallet-backend:   }
11-21 20:55:38.718  4428  4444 V taler-wallet-backend: }
11-21 20:55:38.725  4389  4389 I WalletBackendApi: got reply for operation getBalances (1)
11-21 20:55:41.100  4389  4458 D ProfileInstaller: Installing profile for net.taler.wallet
11-21 20:55:41.596  4389  4389 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-21 20:55:41.596  4389  4389 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.
11-21 20:55:42.691  4389  4410 I WalletBackendApi: sending request for operation listExchanges (2)
11-21 20:55:42.692  4428  4428 I taler-wallet-backend: got request for operation listExchanges
11-21 20:55:42.693  4428  4428 I taler-wallet-backend: mapping service request ID 2 to client request ID 2
11-21 20:55:42.696  4428  4445 D akono-jni.cpp: native listener: got request for listExchanges (2)
11-21 20:55:42.726  4428  4445 D akono-jni.cpp: native listener: sending success response for listExchanges (2)
11-21 20:55:42.727  4428  4444 V taler-wallet-backend: got back response: {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:   "type": "response",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:   "operation": "listExchanges",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:   "id": 2,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:   "result": {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:     "exchanges": [
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:       {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/bitcoin.ice.bfh.ch\/",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "tosStatus": "unknown",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "paytoUris": [],
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "exchangeStatus": "unknown",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "permanent": true,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "ageRestrictionOptions": [],
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "lastUpdateErrorInfo": {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:           "error": {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:             "code": 7005,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:             "hint": "Unexpected HTTP status 500 in response",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:             "requestUrl": "https:\/\/bitcoin.ice.bfh.ch\/wire",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:             "httpStatusCode": 500,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:             "errorResponse": {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:               "code": 1653,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:               "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:               "detail": "bitcoin"
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:             }
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:           }
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         }
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:       },
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:       {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.chf.taler.net\/",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "currency": "CHF",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "tosStatus": "accepted",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "paytoUris": [
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE381613?receiver-name=exchange"
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         ],
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "exchangeStatus": "ok",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "permanent": true,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "ageRestrictionOptions": []
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:       },
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:       {
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "currency": "KUDOS",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "tosStatus": "accepted",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "paytoUris": [
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE159593?receiver-name=Exchange+Company"
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         ],
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "exchangeStatus": "ok",
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "permanent": true,
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:         "ageRestrictionOptions": []
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:       }
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:     ]
11-21 20:55:42.727  4428  4444 V taler-wallet-backend:   }
11-21 20:55:42.727  4428  4444 V taler-wallet-backend: }
11-21 20:55:42.728  4389  4389 I WalletBackendApi: got reply for operation listExchanges (2)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:55:42.731  4389  4389 E AndroidRuntime: Process: net.taler.wallet, PID: 4389
11-21 20:55:42.731  4389  4389 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:55:42.731  4389  4389 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@f199842, Dispatchers.Main.immediate]
11-21 20:55:47.747  4475  4475 E et.taler.wallet: Not starting debugger since process cannot load the jdwp agent.
11-21 20:55:47.767  4475  4475 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:55:47.775  4475  4475 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:47.775  4475  4475 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:47.775  4475  4475 W et.taler.wallet: Entry not found
11-21 20:55:47.776  4475  4475 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:47.776  4475  4475 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:47.776  4475  4475 W et.taler.wallet: Entry not found
11-21 20:55:47.776  4475  4475 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:47.776  4475  4475 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:47.776  4475  4475 W et.taler.wallet: Entry not found
11-21 20:55:47.777  4475  4475 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:55:47.778  4475  4475 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:47.778  4475  4475 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:47.778  4475  4475 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:47.782  4475  4475 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:55:47.783  4475  4475 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:55:47.783  4475  4475 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:55:47.784  4475  4475 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:47.784  4475  4475 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:47.791  4475  4475 W et.taler.wallet: Accessing hidden field Ljava/util/Collections$SynchronizedCollection;->mutex:Ljava/lang/Object; (max-target-o, reflection, denied)
11-21 20:55:47.792  4475  4475 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedSet;-><init>(Ljava/util/Set;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:55:47.792  4475  4475 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedCollection;-><init>(Ljava/util/Collection;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:55:47.811  4475  4475 D CompatibilityChangeReporter: Compat change id reported: 210923482; UID 10338; state: DISABLED
11-21 20:55:47.811  4475  4475 D CompatibilityChangeReporter: Compat change id reported: 37756858; UID 10338; state: ENABLED
11-21 20:55:47.825  4475  4494 I WalletBackendApi: sending request for operation getBalances (1)
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: QUALCOMM build                   : 85da404, I46ff5fc46f
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Build Date                       : 11/30/20
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: OpenGL ES Shader Compiler Version: EV031.31.04.01
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Local Branch                     : promo490_3_Google
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Reconstruct Branch               : 
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Build Config                     : S P 10.0.4 AArch64
11-21 20:55:47.846  4475  4491 I AdrenoGLES-0: Driver Path                      : /vendor/lib64/egl/libGLESv2_adreno.so
11-21 20:55:47.850  4475  4491 I AdrenoGLES-0: PFP: 0x016ee190, ME: 0x00000000
11-21 20:55:47.852  4475  4491 W AdrenoUtils: <ReadGpuID_from_sysfs:197>: Failed to open /sys/class/kgsl/kgsl-3d0/gpu_model
11-21 20:55:47.852  4475  4491 W AdrenoUtils: <ReadGpuID:221>: Failed to read chip ID from gpu_model. Fallback to use the GSL path
11-21 20:55:47.859  4428  4428 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:55:47.859  4428  4428 V AkonoJni: putting module code (kotlin)
11-21 20:55:47.859  4428  4428 D akono-jni.cpp: in putModuleCodeNative
11-21 20:55:47.863  4475  4475 W PropertyValuesHolder: Method set() with type float not found on target class class me.zhanghai.android.materialprogressbar.IndeterminateHorizontalProgressDrawable$RectTransformX
11-21 20:55:47.867  4428  4445 D akono-jni.cpp: FATAL ERROR: HandleScope::HandleScope Entering the V8 API without proper locking in place
11-21 20:55:47.868  4428  4445 D akono-jni.cpp: Failed to open Node.js report file: 
11-21 20:55:47.868  4428  4445 D akono-jni.cpp: report.20221121.205547.4428.0.001.json
11-21 20:55:47.868  4428  4445 D akono-jni.cpp:  (errno: 
11-21 20:55:47.868  4428  4445 D akono-jni.cpp: 30
11-21 20:55:47.868  4428  4445 D akono-jni.cpp: )
11-21 20:55:47.868  4428  4445 D akono-jni.cpp: 
11-21 20:55:47.869  4428  4497 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4497 (Thread-3), pid 4428 (tBackendService)
11-21 20:55:47.880  4475  4491 W Parcel  : Expecting binder but got null!
11-21 20:55:47.899  4428  4428 D akono-jni.cpp: registered module
11-21 20:55:47.939  4503  4503 I crash_dump64: obtaining output fd from tombstoned, type: kDebuggerdTombstoneProto
11-21 20:55:47.940  4503  4503 I crash_dump64: performing dump of process 4428 (target tid = 4497)
11-21 20:55:48.204  4503  4503 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:55:48.204  4503  4503 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:55:48.204  4503  4503 F DEBUG   : Revision: 'MP1.0'
11-21 20:55:48.204  4503  4503 F DEBUG   : ABI: 'arm64'
11-21 20:55:48.204  4503  4503 F DEBUG   : Timestamp: 2022-11-21 20:55:47.963112497+0100
11-21 20:55:48.204  4503  4503 F DEBUG   : Process uptime: 11s
11-21 20:55:48.204  4503  4503 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:55:48.204  4503  4503 F DEBUG   : pid: 4428, tid: 4497, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:55:48.204  4503  4503 F DEBUG   : uid: 10338
11-21 20:55:48.204  4503  4503 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:55:48.204  4503  4503 F DEBUG   :     x0  0000000000000000  x1  0000000000001191  x2  0000000000000006  x3  00000074f5c33690
11-21 20:55:48.204  4503  4503 F DEBUG   :     x4  00000074f5c33478  x5  00000074f5c33478  x6  00000074f5c33478  x7  0000000000000030
11-21 20:55:48.204  4503  4503 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:55:48.204  4503  4503 F DEBUG   :     x12 00000000000076c7  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:55:48.204  4503  4503 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 00000074f5390000  x19 000000000000114c
11-21 20:55:48.204  4503  4503 F DEBUG   :     x20 0000000000001191  x21 00000000ffffffff  x22 b40000770e246259  x23 00000074951ba078
11-21 20:55:48.204  4503  4503 F DEBUG   :     x24 000000009d966268  x25 0000000012c35df8  x26 00000074f5c34000  x27 0000000000000000
11-21 20:55:48.204  4503  4503 F DEBUG   :     x28 00000074f5c34000  x29 00000074f5c33710
11-21 20:55:48.204  4503  4503 F DEBUG   :     lr  00000077b8864868  sp  00000074f5c33670  pc  00000077b8864894  pst 0000000000000000
11-21 20:55:48.204  4503  4503 F DEBUG   : backtrace:
11-21 20:55:48.204  4503  4503 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:55:48.204  4503  4503 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:55:49.255  4515  4515 E tBackendService: Not starting debugger since process cannot load the jdwp agent.
11-21 20:55:49.265  4515  4515 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:55:49.285  4515  4515 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:49.285  4515  4515 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:55:49.285  4515  4515 W tBackendService: Entry not found
11-21 20:55:49.286  4515  4515 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:49.286  4515  4515 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:55:49.286  4515  4515 W tBackendService: Entry not found
11-21 20:55:49.286  4515  4515 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:49.286  4515  4515 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:55:49.287  4515  4515 W tBackendService: Entry not found
11-21 20:55:49.289  4515  4515 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:55:49.291  4515  4515 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:49.291  4515  4515 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:49.291  4515  4515 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:55:49.300  4515  4515 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:55:49.301  4515  4515 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:55:49.301  4515  4515 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:55:49.303  4515  4515 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:49.303  4515  4515 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:55:49.337  4515  4515 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:55:49.376  4515  4515 V AkonoJni: putting module code (kotlin)
11-21 20:55:49.376  4515  4515 D akono-jni.cpp: in putModuleCodeNative
11-21 20:55:49.397  4515  4515 D akono-jni.cpp: registered module
11-21 20:55:49.438  4515  4533 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-21 20:55:49.438  4515  4533 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-21 20:55:49.446  4475  4475 I WalletBackendApi: connected to wallet backend service
11-21 20:55:49.446  4515  4515 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:55:49.446  4515  4515 I taler-wallet-backend: got request for operation getBalances
11-21 20:55:49.447  4515  4515 I taler-wallet-backend: mapping service request ID 1 to client request ID 1
11-21 20:55:49.447  4515  4515 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:55:49.447  4515  4515 I taler-wallet-backend: subscribing client
11-21 20:55:49.569  4515  4533 D akono-jni.cpp: native wallet listener installed
11-21 20:55:49.576  4515  4533 D akono-jni.cpp: native listener: got request for init (undefined)
11-21 20:55:49.577  4515  4533 D akono-jni.cpp: in reinit
11-21 20:55:49.689  4515  4533 D akono-jni.cpp: (node:4515) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:55:49.689  4515  4533 D akono-jni.cpp: (node:4515) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:55:49.689  4515  4533 D akono-jni.cpp: native listener: got request for getBalances (1)
11-21 20:55:49.810  4515  4533 D akono-jni.cpp: 2022-11-21T19:55:49.810Z headless/helpers.ts INFO using node thread crypto worker
11-21 20:55:49.876  4515  4533 D akono-jni.cpp: 2022-11-21T19:55:49.876Z wallet.ts INFO running task loop opts={}
11-21 20:55:49.878  4515  4533 D akono-jni.cpp: native listener: sending success response for init (undefined)
11-21 20:55:49.879  4515  4532 D taler-wallet-backend: got response for init operation: {
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:   "type": "response",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:   "operation": "init",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:   "result": {
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:     "versionInfo": {
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:       "hash": "66460e5650e19c12e105a8fe7560b9744c898b5d",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:       "version": "0.9.0",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:       "exchange": "12:0:0",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:       "merchant": "2:0:1",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:       "bank": "0:0:0",
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:       "devMode": false
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:     }
11-21 20:55:49.879  4515  4532 D taler-wallet-backend:   }
11-21 20:55:49.879  4515  4532 D taler-wallet-backend: }
11-21 20:55:50.077  4515  4533 D akono-jni.cpp: native listener: sending success response for getBalances (1)
11-21 20:55:50.077  4515  4532 V taler-wallet-backend: got back response: {
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:   "type": "response",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:   "operation": "getBalances",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:   "id": 1,
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:   "result": {
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:     "balances": [
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:       {
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "available": "CHF:0.185",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "pendingIncoming": "CHF:0",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "pendingOutgoing": "CHF:0",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:       },
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:       {
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "available": "KUDOS:6.2",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "pendingIncoming": "KUDOS:0",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:       }
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:     ]
11-21 20:55:50.077  4515  4532 V taler-wallet-backend:   }
11-21 20:55:50.077  4515  4532 V taler-wallet-backend: }
11-21 20:55:50.079  4475  4475 I WalletBackendApi: got reply for operation getBalances (1)
11-21 20:55:51.852  4475  4475 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-21 20:55:51.852  4475  4475 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.
11-21 20:55:52.894  4475  4549 D ProfileInstaller: Installing profile for net.taler.wallet
11-21 20:55:53.247  4475  4495 I WalletBackendApi: sending request for operation listExchanges (2)
11-21 20:55:53.247  4515  4515 I taler-wallet-backend: got request for operation listExchanges
11-21 20:55:53.248  4515  4515 I taler-wallet-backend: mapping service request ID 2 to client request ID 2
11-21 20:55:53.251  4515  4533 D akono-jni.cpp: native listener: got request for listExchanges (2)
11-21 20:55:53.281  4515  4533 D akono-jni.cpp: native listener: sending success response for listExchanges (2)
11-21 20:55:53.282  4515  4532 V taler-wallet-backend: got back response: {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:   "type": "response",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:   "operation": "listExchanges",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:   "id": 2,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:   "result": {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:     "exchanges": [
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:       {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/bitcoin.ice.bfh.ch\/",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "tosStatus": "unknown",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "paytoUris": [],
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "exchangeStatus": "unknown",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "permanent": true,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "ageRestrictionOptions": [],
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "lastUpdateErrorInfo": {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:           "error": {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:             "code": 7005,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:             "hint": "Unexpected HTTP status 500 in response",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:             "requestUrl": "https:\/\/bitcoin.ice.bfh.ch\/wire",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:             "httpStatusCode": 500,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:             "errorResponse": {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:               "code": 1653,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:               "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:               "detail": "bitcoin"
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:             }
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:           }
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         }
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:       },
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:       {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.chf.taler.net\/",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "currency": "CHF",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "tosStatus": "accepted",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "paytoUris": [
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE381613?receiver-name=exchange"
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         ],
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "exchangeStatus": "ok",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "permanent": true,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "ageRestrictionOptions": []
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:       },
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:       {
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "currency": "KUDOS",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "tosStatus": "accepted",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "paytoUris": [
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE159593?receiver-name=Exchange+Company"
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         ],
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "exchangeStatus": "ok",
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "permanent": true,
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:         "ageRestrictionOptions": []
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:       }
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:     ]
11-21 20:55:53.282  4515  4532 V taler-wallet-backend:   }
11-21 20:55:53.282  4515  4532 V taler-wallet-backend: }
11-21 20:55:53.283  4475  4475 I WalletBackendApi: got reply for operation listExchanges (2)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:55:53.285  4475  4475 E AndroidRuntime: Process: net.taler.wallet, PID: 4475
11-21 20:55:53.285  4475  4475 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:55:53.285  4475  4475 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@f199842, Dispatchers.Main.immediate]
11-21 20:55:53.313  4475  4475 I Process : Sending signal. PID: 4475 SIG: 9
11-21 20:56:00.299  4559  4559 E et.taler.wallet: Not starting debugger since process cannot load the jdwp agent.
11-21 20:56:00.318  4559  4559 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:56:00.327  4559  4559 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:00.327  4559  4559 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:00.327  4559  4559 W et.taler.wallet: Entry not found
11-21 20:56:00.327  4559  4559 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:00.327  4559  4559 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:00.328  4559  4559 W et.taler.wallet: Entry not found
11-21 20:56:00.328  4559  4559 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:00.328  4559  4559 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:00.328  4559  4559 W et.taler.wallet: Entry not found
11-21 20:56:00.329  4559  4559 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:56:00.330  4559  4559 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:00.330  4559  4559 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:00.330  4559  4559 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:00.335  4559  4559 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:56:00.335  4559  4559 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:56:00.335  4559  4559 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:56:00.337  4559  4559 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:00.337  4559  4559 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:00.344  4559  4559 W et.taler.wallet: Accessing hidden field Ljava/util/Collections$SynchronizedCollection;->mutex:Ljava/lang/Object; (max-target-o, reflection, denied)
11-21 20:56:00.344  4559  4559 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedSet;-><init>(Ljava/util/Set;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:56:00.344  4559  4559 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedCollection;-><init>(Ljava/util/Collection;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:56:00.365  4559  4559 D CompatibilityChangeReporter: Compat change id reported: 210923482; UID 10338; state: DISABLED
11-21 20:56:00.365  4559  4559 D CompatibilityChangeReporter: Compat change id reported: 37756858; UID 10338; state: ENABLED
11-21 20:56:00.386  4559  4584 I WalletBackendApi: sending request for operation getBalances (1)
11-21 20:56:00.406  4515  4515 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:56:00.407  4515  4515 V AkonoJni: putting module code (kotlin)
11-21 20:56:00.407  4515  4515 D akono-jni.cpp: in putModuleCodeNative
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: QUALCOMM build                   : 85da404, I46ff5fc46f
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Build Date                       : 11/30/20
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: OpenGL ES Shader Compiler Version: EV031.31.04.01
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Local Branch                     : promo490_3_Google
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Reconstruct Branch               : 
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Build Config                     : S P 10.0.4 AArch64
11-21 20:56:00.407  4559  4581 I AdrenoGLES-0: Driver Path                      : /vendor/lib64/egl/libGLESv2_adreno.so
11-21 20:56:00.415  4515  4533 D akono-jni.cpp: FATAL ERROR: HandleScope::HandleScope Entering the V8 API without proper locking in place
11-21 20:56:00.416  4559  4581 I AdrenoGLES-0: PFP: 0x016ee190, ME: 0x00000000
11-21 20:56:00.416  4515  4533 D akono-jni.cpp: Failed to open Node.js report file: 
11-21 20:56:00.416  4515  4533 D akono-jni.cpp: report.20221121.205600.4515.0.001.json
11-21 20:56:00.416  4515  4533 D akono-jni.cpp:  (errno: 
11-21 20:56:00.416  4515  4533 D akono-jni.cpp: 30
11-21 20:56:00.416  4515  4533 D akono-jni.cpp: )
11-21 20:56:00.416  4515  4533 D akono-jni.cpp: 
11-21 20:56:00.417  4515  4586 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4586 (Thread-3), pid 4515 (tBackendService)
11-21 20:56:00.417  4559  4581 W AdrenoUtils: <ReadGpuID_from_sysfs:197>: Failed to open /sys/class/kgsl/kgsl-3d0/gpu_model
11-21 20:56:00.417  4559  4581 W AdrenoUtils: <ReadGpuID:221>: Failed to read chip ID from gpu_model. Fallback to use the GSL path
11-21 20:56:00.427  4559  4559 W PropertyValuesHolder: Method set() with type float not found on target class class me.zhanghai.android.materialprogressbar.IndeterminateHorizontalProgressDrawable$RectTransformX
11-21 20:56:00.449  4515  4515 D akono-jni.cpp: registered module
11-21 20:56:00.451  4559  4581 W Parcel  : Expecting binder but got null!
11-21 20:56:00.471  4592  4592 I crash_dump64: obtaining output fd from tombstoned, type: kDebuggerdTombstoneProto
11-21 20:56:00.472  4592  4592 I crash_dump64: performing dump of process 4515 (target tid = 4586)
11-21 20:56:00.689  4592  4592 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:56:00.689  4592  4592 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:56:00.689  4592  4592 F DEBUG   : Revision: 'MP1.0'
11-21 20:56:00.689  4592  4592 F DEBUG   : ABI: 'arm64'
11-21 20:56:00.689  4592  4592 F DEBUG   : Timestamp: 2022-11-21 20:56:00.486369734+0100
11-21 20:56:00.689  4592  4592 F DEBUG   : Process uptime: 12s
11-21 20:56:00.689  4592  4592 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:56:00.689  4592  4592 F DEBUG   : pid: 4515, tid: 4586, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:56:00.689  4592  4592 F DEBUG   : uid: 10338
11-21 20:56:00.689  4592  4592 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:56:00.689  4592  4592 F DEBUG   :     x0  0000000000000000  x1  00000000000011ea  x2  0000000000000006  x3  00000074f807b690
11-21 20:56:00.689  4592  4592 F DEBUG   :     x4  00000074f807b478  x5  00000074f807b478  x6  00000074f807b478  x7  0000000000000030
11-21 20:56:00.689  4592  4592 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:56:00.689  4592  4592 F DEBUG   :     x12 000000000000039d  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:56:00.689  4592  4592 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 00000074f74b0000  x19 00000000000011a3
11-21 20:56:00.689  4592  4592 F DEBUG   :     x20 00000000000011ea  x21 00000000ffffffff  x22 b40000770e276289  x23 000000748faa3078
11-21 20:56:00.689  4592  4592 F DEBUG   :     x24 000000009d966268  x25 0000000012c82a48  x26 00000074f807c000  x27 0000000000000000
11-21 20:56:00.689  4592  4592 F DEBUG   :     x28 00000074f807c000  x29 00000074f807b710
11-21 20:56:00.689  4592  4592 F DEBUG   :     lr  00000077b8864868  sp  00000074f807b670  pc  00000077b8864894  pst 0000000000000000
11-21 20:56:00.689  4592  4592 F DEBUG   : backtrace:
11-21 20:56:00.689  4592  4592 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:56:00.689  4592  4592 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:56:01.767  4605  4605 E tBackendService: Not starting debugger since process cannot load the jdwp agent.
11-21 20:56:01.776  4605  4605 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:56:01.797  4605  4605 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:01.797  4605  4605 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:01.797  4605  4605 W tBackendService: Entry not found
11-21 20:56:01.798  4605  4605 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:01.798  4605  4605 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:01.798  4605  4605 W tBackendService: Entry not found
11-21 20:56:01.798  4605  4605 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:01.798  4605  4605 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:01.799  4605  4605 W tBackendService: Entry not found
11-21 20:56:01.801  4605  4605 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:56:01.804  4605  4605 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:01.804  4605  4605 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:01.804  4605  4605 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:01.813  4605  4605 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:56:01.813  4605  4605 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:56:01.813  4605  4605 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:56:01.815  4605  4605 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:01.815  4605  4605 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:01.849  4605  4605 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:56:01.887  4605  4605 V AkonoJni: putting module code (kotlin)
11-21 20:56:01.887  4605  4605 D akono-jni.cpp: in putModuleCodeNative
11-21 20:56:01.884  4605  4605 W Thread-2: type=1400 audit(0.0:7399): avc: denied { ioctl } for path="/sys/kernel/tracing/trace_marker" dev="tracefs" ino=5541 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:debugfs_trace_marker:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:01.884  4605  4605 W Thread-2: type=1400 audit(0.0:7400): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-oj.jar" dev="dm-18" ino=40 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:01.884  4605  4605 W Thread-2: type=1400 audit(0.0:7401): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-libart.jar" dev="dm-18" ino=39 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:01.884  4605  4605 W Thread-2: type=1400 audit(0.0:7402): avc: denied { ioctl } for path="/apex/com.android.art/javalib/okhttp.jar" dev="dm-18" ino=41 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:01.884  4605  4605 W Thread-2: type=1400 audit(0.0:7403): avc: denied { ioctl } for path="/apex/com.android.art/javalib/bouncycastle.jar" dev="dm-18" ino=38 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:01.907  4605  4605 D akono-jni.cpp: registered module
11-21 20:56:01.948  4605  4622 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-21 20:56:01.948  4605  4622 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-21 20:56:01.965  4559  4559 I WalletBackendApi: connected to wallet backend service
11-21 20:56:01.966  4605  4605 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:56:01.966  4605  4605 I taler-wallet-backend: got request for operation getBalances
11-21 20:56:01.966  4605  4605 I taler-wallet-backend: mapping service request ID 1 to client request ID 1
11-21 20:56:01.966  4605  4605 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:56:01.966  4605  4605 I taler-wallet-backend: subscribing client
11-21 20:56:02.080  4605  4622 D akono-jni.cpp: native wallet listener installed
11-21 20:56:02.086  4605  4622 D akono-jni.cpp: native listener: got request for init (undefined)
11-21 20:56:02.087  4605  4622 D akono-jni.cpp: in reinit
11-21 20:56:02.198  4605  4622 D akono-jni.cpp: (node:4605) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:56:02.199  4605  4622 D akono-jni.cpp: (node:4605) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:56:02.199  4605  4622 D akono-jni.cpp: native listener: got request for getBalances (1)
11-21 20:56:02.312  4605  4622 D akono-jni.cpp: 2022-11-21T19:56:02.312Z headless/helpers.ts INFO using node thread crypto worker
11-21 20:56:02.351  4559  4559 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-21 20:56:02.351  4559  4559 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.
11-21 20:56:02.381  4605  4622 D akono-jni.cpp: 2022-11-21T19:56:02.381Z wallet.ts INFO running task loop opts={}
11-21 20:56:02.383  4605  4622 D akono-jni.cpp: native listener: sending success response for init (undefined)
11-21 20:56:02.384  4605  4621 D taler-wallet-backend: got response for init operation: {
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:   "type": "response",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:   "operation": "init",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:   "result": {
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:     "versionInfo": {
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:       "hash": "66460e5650e19c12e105a8fe7560b9744c898b5d",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:       "version": "0.9.0",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:       "exchange": "12:0:0",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:       "merchant": "2:0:1",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:       "bank": "0:0:0",
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:       "devMode": false
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:     }
11-21 20:56:02.384  4605  4621 D taler-wallet-backend:   }
11-21 20:56:02.384  4605  4621 D taler-wallet-backend: }
11-21 20:56:02.578  4605  4622 D akono-jni.cpp: native listener: sending success response for getBalances (1)
11-21 20:56:02.578  4605  4621 V taler-wallet-backend: got back response: {
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:   "type": "response",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:   "operation": "getBalances",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:   "id": 1,
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:   "result": {
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:     "balances": [
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:       {
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "available": "CHF:0.185",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "pendingIncoming": "CHF:0",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "pendingOutgoing": "CHF:0",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:       },
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:       {
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "available": "KUDOS:6.2",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "pendingIncoming": "KUDOS:0",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:       }
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:     ]
11-21 20:56:02.578  4605  4621 V taler-wallet-backend:   }
11-21 20:56:02.578  4605  4621 V taler-wallet-backend: }
11-21 20:56:02.582  4559  4559 I WalletBackendApi: got reply for operation getBalances (1)
11-21 20:56:03.515  4559  4584 I WalletBackendApi: sending request for operation listExchanges (2)
11-21 20:56:03.515  4605  4605 I taler-wallet-backend: got request for operation listExchanges
11-21 20:56:03.516  4605  4605 I taler-wallet-backend: mapping service request ID 2 to client request ID 2
11-21 20:56:03.517  4605  4622 D akono-jni.cpp: native listener: got request for listExchanges (2)
11-21 20:56:03.545  4605  4622 D akono-jni.cpp: native listener: sending success response for listExchanges (2)
11-21 20:56:03.546  4605  4621 V taler-wallet-backend: got back response: {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:   "type": "response",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:   "operation": "listExchanges",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:   "id": 2,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:   "result": {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:     "exchanges": [
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:       {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/bitcoin.ice.bfh.ch\/",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "tosStatus": "unknown",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "paytoUris": [],
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "exchangeStatus": "unknown",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "permanent": true,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "ageRestrictionOptions": [],
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "lastUpdateErrorInfo": {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:           "error": {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:             "code": 7005,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:             "hint": "Unexpected HTTP status 500 in response",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:             "requestUrl": "https:\/\/bitcoin.ice.bfh.ch\/wire",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:             "httpStatusCode": 500,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:             "errorResponse": {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:               "code": 1653,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:               "hint": "No wire fees are configured for an enabled wire method of the exchange. The administrator must set the wire-fee using the taler-exchange-offline tool.",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:               "detail": "bitcoin"
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:             }
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:           }
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         }
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:       },
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:       {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.chf.taler.net\/",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "currency": "CHF",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "tosStatus": "accepted",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "paytoUris": [
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE381613?receiver-name=exchange"
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         ],
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "exchangeStatus": "ok",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "permanent": true,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "ageRestrictionOptions": []
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:       },
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:       {
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "exchangeBaseUrl": "https:\/\/exchange.demo.taler.net\/",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "currency": "KUDOS",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "tosStatus": "accepted",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "paytoUris": [
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:           "payto:\/\/iban\/SANDBOXX\/DE159593?receiver-name=Exchange+Company"
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         ],
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "exchangeStatus": "ok",
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "permanent": true,
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:         "ageRestrictionOptions": []
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:       }
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:     ]
11-21 20:56:03.546  4605  4621 V taler-wallet-backend:   }
11-21 20:56:03.546  4605  4621 V taler-wallet-backend: }
11-21 20:56:03.548  4559  4559 I WalletBackendApi: got reply for operation listExchanges (2)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: FATAL EXCEPTION: main
11-21 20:56:03.551  4559  4559 E AndroidRuntime: Process: net.taler.wallet, PID: 4559
11-21 20:56:03.551  4559  4559 E AndroidRuntime: java.lang.AssertionError: Wallet core failed to return exchanges! 0 () kotlinx.serialization.MissingFieldException: Field 'currency' is required for type with serial name 'net.taler.wallet.exchanges.ExchangeItem', but it was missing at path: $.exchanges[0] at path: $.exchanges[0] at path: $.exchanges[0]
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:4)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1$1.invoke(ExchangeManager.kt:1)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.backend.WalletResponse.onError(WalletResponse.kt:17)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at net.taler.wallet.exchanges.ExchangeManager$list$1.invokeSuspend(ExchangeManager.kt:62)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:9)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:107)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Handler.handleCallback(Handler.java:942)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Handler.dispatchMessage(Handler.java:99)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Looper.loopOnce(Looper.java:201)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:288)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:7898)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:936)
11-21 20:56:03.551  4559  4559 E AndroidRuntime: 	Suppressed: kotlinx.coroutines.DiagnosticCoroutineContextException: [StandaloneCoroutine{Cancelling}@b7c53a5, Dispatchers.Main.immediate]
11-21 20:56:03.578  4559  4559 I Process : Sending signal. PID: 4559 SIG: 9
11-21 20:56:26.204  4715  4715 E et.taler.wallet: Not starting debugger since process cannot load the jdwp agent.
11-21 20:56:26.220  4715  4715 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:56:26.229  4715  4715 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:26.229  4715  4715 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:26.229  4715  4715 W et.taler.wallet: Entry not found
11-21 20:56:26.229  4715  4715 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:26.229  4715  4715 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:26.229  4715  4715 W et.taler.wallet: Entry not found
11-21 20:56:26.229  4715  4715 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:26.229  4715  4715 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:26.229  4715  4715 W et.taler.wallet: Entry not found
11-21 20:56:26.230  4715  4715 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:56:26.232  4715  4715 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:26.232  4715  4715 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:26.232  4715  4715 W et.taler.wallet: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:26.236  4715  4715 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:56:26.237  4715  4715 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:56:26.237  4715  4715 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:56:26.239  4715  4715 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:26.239  4715  4715 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:26.244  4715  4715 W et.taler.wallet: Accessing hidden field Ljava/util/Collections$SynchronizedCollection;->mutex:Ljava/lang/Object; (max-target-o, reflection, denied)
11-21 20:56:26.245  4715  4715 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedSet;-><init>(Ljava/util/Set;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:56:26.245  4715  4715 W et.taler.wallet: Accessing hidden method Ljava/util/Collections$SynchronizedCollection;-><init>(Ljava/util/Collection;Ljava/lang/Object;)V (max-target-o, reflection, denied)
11-21 20:56:26.263  4715  4715 D CompatibilityChangeReporter: Compat change id reported: 210923482; UID 10338; state: DISABLED
11-21 20:56:26.263  4715  4715 D CompatibilityChangeReporter: Compat change id reported: 37756858; UID 10338; state: ENABLED
11-21 20:56:26.279  4715  4741 I WalletBackendApi: sending request for operation getBalances (1)
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: QUALCOMM build                   : 85da404, I46ff5fc46f
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Build Date                       : 11/30/20
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: OpenGL ES Shader Compiler Version: EV031.31.04.01
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Local Branch                     : promo490_3_Google
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Remote Branch                    : 
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Reconstruct Branch               : 
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Build Config                     : S P 10.0.4 AArch64
11-21 20:56:26.301  4715  4736 I AdrenoGLES-0: Driver Path                      : /vendor/lib64/egl/libGLESv2_adreno.so
11-21 20:56:26.304  4605  4605 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:56:26.305  4605  4605 V AkonoJni: putting module code (kotlin)
11-21 20:56:26.305  4605  4605 D akono-jni.cpp: in putModuleCodeNative
11-21 20:56:26.310  4715  4736 I AdrenoGLES-0: PFP: 0x016ee190, ME: 0x00000000
11-21 20:56:26.312  4715  4736 W AdrenoUtils: <ReadGpuID_from_sysfs:197>: Failed to open /sys/class/kgsl/kgsl-3d0/gpu_model
11-21 20:56:26.312  4715  4736 W AdrenoUtils: <ReadGpuID:221>: Failed to read chip ID from gpu_model. Fallback to use the GSL path
11-21 20:56:26.312  4605  4622 D akono-jni.cpp: FATAL ERROR: HandleScope::HandleScope Entering the V8 API without proper locking in place
11-21 20:56:26.313  4605  4622 D akono-jni.cpp: Failed to open Node.js report file: 
11-21 20:56:26.313  4605  4622 D akono-jni.cpp: report.20221121.205626.4605.0.001.json
11-21 20:56:26.313  4605  4622 D akono-jni.cpp:  (errno: 
11-21 20:56:26.313  4605  4622 D akono-jni.cpp: 30
11-21 20:56:26.313  4605  4622 D akono-jni.cpp: )
11-21 20:56:26.313  4605  4622 D akono-jni.cpp: 
11-21 20:56:26.313  4605  4742 F libc    : Fatal signal 6 (SIGABRT), code -1 (SI_QUEUE) in tid 4742 (Thread-3), pid 4605 (tBackendService)
11-21 20:56:26.319  4715  4715 W PropertyValuesHolder: Method set() with type float not found on target class class me.zhanghai.android.materialprogressbar.IndeterminateHorizontalProgressDrawable$RectTransformX
11-21 20:56:26.345  4715  4736 W Parcel  : Expecting binder but got null!
11-21 20:56:26.346  4605  4605 D akono-jni.cpp: registered module
11-21 20:56:26.403  4749  4749 I crash_dump64: obtaining output fd from tombstoned, type: kDebuggerdTombstoneProto
11-21 20:56:26.404  4749  4749 I crash_dump64: performing dump of process 4605 (target tid = 4742)
11-21 20:56:26.772  4749  4749 F DEBUG   : *** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
11-21 20:56:26.773  4749  4749 F DEBUG   : Build fingerprint: 'google/sunfish/sunfish:13/TP1A.221005.002/9012097:user/release-keys'
11-21 20:56:26.773  4749  4749 F DEBUG   : Revision: 'MP1.0'
11-21 20:56:26.773  4749  4749 F DEBUG   : ABI: 'arm64'
11-21 20:56:26.773  4749  4749 F DEBUG   : Timestamp: 2022-11-21 20:56:26.425431953+0100
11-21 20:56:26.773  4749  4749 F DEBUG   : Process uptime: 26s
11-21 20:56:26.773  4749  4749 F DEBUG   : Cmdline: net.taler.wallet:WalletBackendService
11-21 20:56:26.773  4749  4749 F DEBUG   : pid: 4605, tid: 4742, name: Thread-3  >>> net.taler.wallet:WalletBackendService <<<
11-21 20:56:26.773  4749  4749 F DEBUG   : uid: 10338
11-21 20:56:26.773  4749  4749 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr --------
11-21 20:56:26.773  4749  4749 F DEBUG   :     x0  0000000000000000  x1  0000000000001286  x2  0000000000000006  x3  00000074f803b690
11-21 20:56:26.773  4749  4749 F DEBUG   :     x4  00000074f803b478  x5  00000074f803b478  x6  00000074f803b478  x7  0000000000000030
11-21 20:56:26.773  4749  4749 F DEBUG   :     x8  00000000000000f0  x9  00000077b8834a00  x10 0000000000000001  x11 00000077b8872ce4
11-21 20:56:26.773  4749  4749 F DEBUG   :     x12 000000000000d386  x13 0000000000000002  x14 0000000000000010  x15 00000077b8838662
11-21 20:56:26.773  4749  4749 F DEBUG   :     x16 00000077b88d7d60  x17 00000077b88b4b70  x18 00000074f73ba000  x19 00000000000011fd
11-21 20:56:26.773  4749  4749 F DEBUG   :     x20 0000000000001286  x21 00000000ffffffff  x22 b40000770e2962a9  x23 0000007493d99078
11-21 20:56:26.773  4749  4749 F DEBUG   :     x24 000000009d966268  x25 0000000012cc2a48  x26 00000074f803c000  x27 0000000000000000
11-21 20:56:26.773  4749  4749 F DEBUG   :     x28 00000074f803c000  x29 00000074f803b710
11-21 20:56:26.773  4749  4749 F DEBUG   :     lr  00000077b8864868  sp  00000074f803b670  pc  00000077b8864894  pst 0000000000000000
11-21 20:56:26.773  4749  4749 F DEBUG   : backtrace:
11-21 20:56:26.773  4749  4749 F DEBUG   :       #00 pc 0000000000051894  /apex/com.android.runtime/lib64/bionic/libc.so (abort+164) (BuildId: 058e3ec96fa600fb840a6a6956c6b64e)
11-21 20:56:26.773  4749  4749 F DEBUG   :       #01 pc 0000000000222e9c  /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!libnode.so (node::Abort()+40)
11-21 20:56:27.877  4761  4761 E tBackendService: Not starting debugger since process cannot load the jdwp agent.
11-21 20:56:27.886  4761  4761 D CompatibilityChangeReporter: Compat change id reported: 171979766; UID 10338; state: ENABLED
11-21 20:56:27.905  4761  4761 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:27.905  4761  4761 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.dm': No such file or directory
11-21 20:56:27.905  4761  4761 W tBackendService: Entry not found
11-21 20:56:27.906  4761  4761 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:27.906  4761  4761 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.dm': No such file or directory
11-21 20:56:27.906  4761  4761 W tBackendService: Entry not found
11-21 20:56:27.906  4761  4761 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:27.906  4761  4761 W ziparchive: Unable to open '/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.dm': No such file or directory
11-21 20:56:27.906  4761  4761 W tBackendService: Entry not found
11-21 20:56:27.909  4761  4761 D nativeloader: Configuring classloader-namespace for other apk /data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi.apk. target_sdk_version=32, uses_libraries=, library_path=/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/lib/arm64:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/base.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.arm64_v8a.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.en.apk!/lib/arm64-v8a:/data/app/~~PCCCyFJgRCnZH1Cx0wb6gA==/net.taler.wallet-Ycf66ppX7wlwMNbUp_j-eQ==/split_config.xxhdpi
11-21 20:56:27.912  4761  4761 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:27.912  4761  4761 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:27.912  4761  4761 W tBackendService: JIT profile information will not be recorded: profile file does not exist.
11-21 20:56:27.920  4761  4761 V GraphicsEnvironment: ANGLE Developer option for 'net.taler.wallet' set to: 'default'
11-21 20:56:27.921  4761  4761 V GraphicsEnvironment: ANGLE GameManagerService for net.taler.wallet: false
11-21 20:56:27.921  4761  4761 V GraphicsEnvironment: Updatable production driver is not supported on the device.
11-21 20:56:27.923  4761  4761 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:27.923  4761  4761 D NetworkSecurityConfig: No Network Security Config specified, using platform default
11-21 20:56:27.957  4761  4761 I taler-wallet-backend: onCreate in wallet backend service
11-21 20:56:27.995  4761  4761 V AkonoJni: putting module code (kotlin)
11-21 20:56:27.995  4761  4761 D akono-jni.cpp: in putModuleCodeNative
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7411): avc: denied { ioctl } for path="/sys/kernel/tracing/trace_marker" dev="tracefs" ino=5541 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:debugfs_trace_marker:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7412): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-oj.jar" dev="dm-18" ino=40 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7413): avc: denied { ioctl } for path="/apex/com.android.art/javalib/core-libart.jar" dev="dm-18" ino=39 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7414): avc: denied { ioctl } for path="/apex/com.android.art/javalib/okhttp.jar" dev="dm-18" ino=41 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7415): avc: denied { ioctl } for path="/apex/com.android.art/javalib/bouncycastle.jar" dev="dm-18" ino=38 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7416): avc: denied { ioctl } for path="/apex/com.android.art/javalib/apache-xml.jar" dev="dm-18" ino=37 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7417): avc: denied { ioctl } for path="/system/framework/framework.jar" dev="dm-8" ino=1237 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7418): avc: denied { ioctl } for path="/system/framework/framework-graphics.jar" dev="dm-8" ino=1235 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:27.991  4761  4761 W Thread-2: type=1400 audit(0.0:7419): avc: denied { ioctl } for path="/system/framework/ext.jar" dev="dm-8" ino=1234 ioctlcmd=0x5451 scontext=u:r:untrusted_app:s0:c82,c257,c512,c768 tcontext=u:object_r:system_file:s0 tclass=file permissive=0 app=net.taler.wallet
11-21 20:56:28.016  4761  4761 D akono-jni.cpp: registered module
11-21 20:56:28.058  4761  4778 D akono-jni.cpp: handling request for module @gnu-taler/taler-wallet-embedded
11-21 20:56:28.058  4761  4778 D akono-jni.cpp: found module in modmap @gnu-taler/taler-wallet-embedded
11-21 20:56:28.060  4715  4715 I WalletBackendApi: connected to wallet backend service
11-21 20:56:28.061  4761  4761 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:56:28.061  4761  4761 I taler-wallet-backend: got request for operation getBalances
11-21 20:56:28.061  4761  4761 I taler-wallet-backend: mapping service request ID 1 to client request ID 1
11-21 20:56:28.062  4761  4761 W taler-wallet-backend: Warning: Not yet initialized
11-21 20:56:28.062  4761  4761 I taler-wallet-backend: subscribing client
11-21 20:56:28.190  4761  4778 D akono-jni.cpp: native wallet listener installed
11-21 20:56:28.196  4761  4778 D akono-jni.cpp: native listener: got request for init (undefined)
11-21 20:56:28.197  4761  4778 D akono-jni.cpp: in reinit
11-21 20:56:28.308  4761  4778 D akono-jni.cpp: (node:4761) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:56:28.308  4761  4778 D akono-jni.cpp: (node:4761) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
11-21 20:56:28.308  4761  4778 D akono-jni.cpp: native listener: got request for getBalances (1)
11-21 20:56:28.411  4761  4778 D akono-jni.cpp: 2022-11-21T19:56:28.411Z headless/helpers.ts INFO using node thread crypto worker
11-21 20:56:28.486  4761  4778 D akono-jni.cpp: 2022-11-21T19:56:28.486Z wallet.ts INFO running task loop opts={}
11-21 20:56:28.488  4761  4778 D akono-jni.cpp: native listener: sending success response for init (undefined)
11-21 20:56:28.488  4761  4777 D taler-wallet-backend: got response for init operation: {
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:   "type": "response",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:   "operation": "init",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:   "result": {
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:     "versionInfo": {
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:       "hash": "66460e5650e19c12e105a8fe7560b9744c898b5d",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:       "version": "0.9.0",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:       "exchange": "12:0:0",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:       "merchant": "2:0:1",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:       "bank": "0:0:0",
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:       "devMode": false
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:     }
11-21 20:56:28.488  4761  4777 D taler-wallet-backend:   }
11-21 20:56:28.488  4761  4777 D taler-wallet-backend: }
11-21 20:56:28.674  4761  4778 D akono-jni.cpp: native listener: sending success response for getBalances (1)
11-21 20:56:28.674  4761  4777 V taler-wallet-backend: got back response: {
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:   "type": "response",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:   "operation": "getBalances",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:   "id": 1,
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:   "result": {
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:     "balances": [
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:       {
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "available": "CHF:0.185",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "pendingIncoming": "CHF:0",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "pendingOutgoing": "CHF:0",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:       },
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:       {
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "available": "KUDOS:6.2",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "pendingIncoming": "KUDOS:0",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "pendingOutgoing": "KUDOS:0",
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "hasPendingTransactions": false,
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:         "requiresUserInput": false
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:       }
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:     ]
11-21 20:56:28.674  4761  4777 V taler-wallet-backend:   }
11-21 20:56:28.674  4761  4777 V taler-wallet-backend: }
11-21 20:56:28.677  4715  4715 I WalletBackendApi: got reply for operation getBalances (1)
11-21 20:56:31.593  4715  4790 D ProfileInstaller: Installing profile for net.taler.wallet
11-21 20:56:34.950  4715  4715 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-21 20:56:34.950  4715  4715 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.
11-21 20:56:41.974  4715  4736 D OpenGLRenderer: endAllActiveAnimators on 0xb40000761e230c60 (RippleDrawable) with handle 0xb40000752e22e650
11-21 20:56:43.581  4715  4715 D CompatibilityChangeReporter: Compat change id reported: 78294732; UID 10338; state: ENABLED
11-21 20:56:43.587  4715  4715 W OnBackInvokedCallback: OnBackInvokedCallback is not enabled for the application.
11-21 20:56:43.587  4715  4715 W OnBackInvokedCallback: Set 'android:enableOnBackInvokedCallback="true"' in the application manifest.

Issue History

Date Modified Username Field Change
2022-11-21 22:01 Christian Grothoff New Issue
2022-11-21 22:01 Christian Grothoff Status new => assigned
2022-11-21 22:01 Christian Grothoff Assigned To => grote
2022-11-21 22:01 Christian Grothoff File Added: taler-wallet-db-1669060605049.json
2022-11-21 22:01 Christian Grothoff File Added: taler-wallet-log-1669060601431.txt